## php-lcobucci-clock 3.5.0

=== Makefile ===
PARALLELISM := $(shell nproc)

.PHONY: all
all: install phpcbf phpcs phpstan phpunit infection

.PHONY: install
install: vendor/composer/installed.json

vendor/composer/installed.json: composer.json composer.lock
	@composer install $(INSTALL_FLAGS)
	@touch -c composer.json composer.lock vendor/composer/installed.json

.PHONY: phpunit
phpunit:
	@vendor/bin/phpunit

.PHONY: infection
infection:
	@php -d xdebug.mode=coverage vendor/bin/phpunit --coverage-xml=build/coverage-xml --log-junit=build/junit.xml $(PHPUNIT_FLAGS)
	@vendor/bin/infection -v -s --threads=$(PARALLELISM) --coverage=build --skip-initial-tests $(INFECTION_FLAGS)

.PHONY: phpcbf
phpcbf:
	@vendor/bin/phpcbf --parallel=$(PARALLELISM)

.PHONY: phpcs
phpcs:
	@vendor/bin/phpcs --parallel=$(PARALLELISM) $(PHPCS_FLAGS)

.PHONY: phpstan
phpstan:
	@php -d xdebug.mode=off vendor/bin/phpstan analyse

## php-lcobucci-clock 3.2.0

=== debian/changelog ===
php-lcobucci-clock (3.2.0-2) unstable; urgency=medium

  * Upload to unstable with compatible PHPUnit dependency
  * Allow use of PHPUnit (<= 10)
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 03 Mar 2024 17:41:51 +0100

php-lcobucci-clock (3.2.0-1) experimental; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Mon, 20 Nov 2023 13:46:51 +0100

php-lcobucci-clock (3.2.0~rc1-1) experimental; urgency=medium

  * Upload RC to experimental

  [ Filippo Tessarotto ]
  * Mark SystemClock as `@immutable`

  [ David Prévot ]
  * Fix debci

 -- David Prévot <taffit@debian.org>  Thu, 28 Sep 2023 08:03:46 +0200

php-lcobucci-clock (3.1.0-2) unstable; urgency=medium

  * Fix license.
    Thanks to Thorsten Alteholz <alteholz@debian.org>

 -- David Prévot <taffit@debian.org>  Sat, 27 May 2023 09:26:40 +0200

php-lcobucci-clock (3.1.0-1) unstable; urgency=medium

  * Initial release (php-lcobucci-jwt dependency)

 -- David Prévot <taffit@debian.org>  Wed, 24 May 2023 11:43:58 +0200

=== debian/control ===
Source: php-lcobucci-clock
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-psr-clock,
               phpab,
               phpunit
Standards-Version: 4.6.2
Homepage: https://github.com/lcobucci/clock
Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-clock.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-clock
Rules-Requires-Root: no

Package: php-lcobucci-clock
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 The purpose is to decouple projects from DateTimeImmutable instantiation so
 that things can be tested properly.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab \
		--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents Lcobucci vendor
	ln -s ../src Lcobucci/Clock
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_install:

override_dh_auto_test:
	phpunit --bootstrap=vendor/autoload.php

## php-lcobucci-clock 3.3.1

=== debian/changelog ===
php-lcobucci-clock (3.3.1-1) unstable; urgency=medium

  [ Filippo Tessarotto ]
  * Add PHP 8.4 support

  [ lgrossi ]
  * Add adjustTime to FrozenClock

  [ Luís Cobucci ]
  * Don't perform operation twice

  [ David Prévot ]
  * Partially revert "Force system dependencies loading"
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Wed, 09 Oct 2024 14:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-psr-clock,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/lcobucci/clock
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-clock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-clock

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit --bootstrap=vendor/autoload.php
Restrictions: rw-build-tree, allow-stderr
Depends: phpab, phpunit, @

## php-lcobucci-clock 3.4.0

=== debian/changelog ===
php-lcobucci-clock (3.4.0-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Drop PHP 8.2
  * Remove unnecessary validation

  [ Filippo Tessarotto ]
  * `FrozenClock`: add named constructor to system clock
  * Mark `SystemClock` as `readonly`

  [ David Prévot ]
  * Drop patch not needed anymore
  * Drop “Rules-Requires-Root: no”
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sun, 12 Oct 2025 10:37:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	dh $@
 
 override_dh_auto_build:
+	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit --bootstrap=vendor/autoload.php
Restrictions: allow-stderr, rw-build-tree
Depends: phpab, phpunit, @

## php-lcobucci-clock 3.5.0

=== debian/changelog ===
php-lcobucci-clock (3.5.0-1) unstable; urgency=medium

  [ Michiel Vermeersch ]
  * Add PHP 8.5 support

  [ David Prévot ]
  * Revert "Force system dependencies loading"

 -- David Prévot <taffit@debian.org>  Tue, 28 Oct 2025 08:39:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
-               php-psr-clock,
+               php-psr-clock <!nocheck>,
                phpab,
-               phpunit
-Standards-Version: 4.7.0
+               phpunit <!nocheck>
+Standards-Version: 4.7.2
 Homepage: https://github.com/lcobucci/clock
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-lcobucci-clock.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-lcobucci-clock
-Rules-Requires-Root: no
 
 Package: php-lcobucci-clock
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
-	mkdir --parents Lcobucci vendor
-	ln -s ../src Lcobucci/Clock
+	mkdir --parents vendor
+	phpabtpl \
+		--require-file ../src/autoload.php \
+		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require lcobucci/clock > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit --bootstrap=vendor/autoload.php
Restrictions: allow-stderr, rw-build-tree
Depends: phpab, phpunit, pkg-php-tools, @

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/lcobucci/clock \
refs/tags/v?(\d.+)
